Package org.gradle.api.specs

# Class OrSpec<T>

java.lang.Object
org.gradle.api.specs.CompositeSpec<T>
org.gradle.api.specs.OrSpec<T>

Type Parameters:
  `T` - The target type for this Spec

All Implemented Interfaces:
  `Spec<T>`

public class OrSpec<T> extends CompositeSpec<T>
A `CompositeSpec` which requires any one of its specs to be true in order to evaluate to true. Uses lazy evaluation.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final OrSpec<?>`
`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`OrSpec()`
`OrSpec(Iterable<? extends Spec<? super T>> specs)`
`OrSpec(Spec<? super T>... specs)`

## Method Summary

Modifier and Type
Method
Description
`static <T> OrSpec<T>`
`empty()`
`int`
`hashCode()`
`boolean`
`isSatisfiedBy(T object)`
`OrSpec<T>`
`or(Spec<? super T>... specs)`

### Methods inherited from class org.gradle.api.specs.CompositeSpec

`equals, getSpecs, isEmpty`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EMPTY

public static final OrSpec<?> EMPTY

## Constructor Details

### OrSpec

public OrSpec()

### OrSpec

public OrSpec(Spec<? super T>... specs)

### OrSpec

public OrSpec(Iterable<? extends Spec<? super T>> specs)

## Method Details

### isSatisfiedBy

public boolean isSatisfiedBy(T object)

### or

public OrSpec<T> or(Spec<? super T>... specs)

### empty

public static <T> OrSpec<T> empty()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `CompositeSpec<T>`